ResponseWriter (Catalina Internal API Documentation)
Keywords: org.apache.catalina.connector.ResponseWriter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector
Class ResponseWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.apache.catalina.connector.ResponseWriter

public class ResponseWriter
extends java.io.PrintWriter

Wrapper around the standard `java.io.PrintWriter` that keeps track of whether or not any characters have ever been written (even if they are still buffered inside the PrintWriter or any other Writer that it uses above the underlying TCP/IP socket). This is required by the semantics of several calls on ServletResponse, which are required to throw an `IllegalStateException` if output has ever been written.

Version:
  $Revision: 289113 $ $Date: 2005-06-12 11:21:44 -0400 (Sun, 12 Jun 2005) $
Author:
  Craig R. McClanahan

Field Summary
`protected ResponseStream` | `stream` Deprecated. The response stream to which we are attached.

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`ResponseWriter(java.io.OutputStreamWriter writer, ResponseStream stream)` Deprecated. Construct a new ResponseWriter, wrapping the specified writer and attached to the specified response.

Method Summary
`void` | `flush()` Deprecated. Flush this stream, and cause the response to be committed.
`void` | `print(boolean b)` Deprecated. Print a boolean value.
`void` | `print(char c)` Deprecated. Print a character value.
`void` | `print(char[] ca)` Deprecated. Print a character array value.
`void` | `print(double d)` Deprecated. Print a double value.
`void` | `print(float f)` Deprecated. Print a float value.
`void` | `print(int i)` Deprecated. Print an integer value.
`void` | `print(long l)` Deprecated. Print a long value.
`void` | `print(java.lang.Object o)` Deprecated. Print an object value.
`void` | `print(java.lang.String s)` Deprecated. Print a String value.
`void` | `println()` Deprecated. Terminate the current line by writing the line separator string.
`void` | `println(boolean b)` Deprecated. Print a boolean value and terminate the current line.
`void` | `println(char c)` Deprecated. Print a character value and terminate the current line.
`void` | `println(char[] ca)` Deprecated. Print a character array value and terminate the current line.
`void` | `println(double d)` Deprecated. Print a double value and terminate the current line.
`void` | `println(float f)` Deprecated. Print a float value and terminate the current line.
`void` | `println(int i)` Deprecated. Print an integer value and terminate the current line.
`void` | `println(long l)` Deprecated. Print a long value and terminate the current line.
`void` | `println(java.lang.Object o)` Deprecated. Print an object value and terminate the current line.
`void` | `println(java.lang.String s)` Deprecated. Print a String value and terminate the current line.
`void` | `write(char c)` Deprecated. Write a single character.
`void` | `write(char[] ca)` Deprecated. Write an array of characters.
`void` | `write(char[] ca, int off, int len)` Deprecated. Write a portion of an array of characters.
`void` | `write(java.lang.String s)` Deprecated. Write a String.
`void` | `write(java.lang.String s, int off, int len)` Deprecated. Write a portion of a String.

Methods inherited from class java.io.PrintWriter
`checkError, close, setError, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stream

    protected ResponseStream stream

  Deprecated.
  The response stream to which we are attached.

Constructor Detail

### ResponseWriter

    public ResponseWriter(java.io.OutputStreamWriter writer,
                          ResponseStream stream)

  Deprecated.
  Construct a new ResponseWriter, wrapping the specified writer and attached to the specified response.

Parameters:
  `writer` - OutputStreamWriter to which we are attached
  `stream` - ResponseStream to which we are attached

Method Detail

### flush

    public void flush()

  Deprecated.
  Flush this stream, and cause the response to be committed.

### print

    public void print(boolean b)

  Deprecated.
  Print a boolean value.

  Parameters:
    `b` - The value to be printed

### print

    public void print(char c)

  Deprecated.
  Print a character value.

  Parameters:
    `c` - The value to be printed

### print

    public void print(char[] ca)

  Deprecated.
  Print a character array value.

  Parameters:
    `ca` - The value to be printed

### print

    public void print(double d)

  Deprecated.
  Print a double value.

  Parameters:
    `d` - The value to be printed

### print

    public void print(float f)

  Deprecated.
  Print a float value.

  Parameters:
    `f` - The value to be printed

### print

    public void print(int i)

  Deprecated.
  Print an integer value.

  Parameters:
    `i` - The value to be printed.

### print

    public void print(long l)

  Deprecated.
  Print a long value.

  Parameters:
    `l` - The value to be printed

### print

    public void print(java.lang.Object o)

  Deprecated.
  Print an object value.

  Parameters:
    `o` - The value to be printed

### print

    public void print(java.lang.String s)

  Deprecated.
  Print a String value.

  Parameters:
    `s` - The value to be printed

### println

    public void println()

  Deprecated.
  Terminate the current line by writing the line separator string.

### println

    public void println(boolean b)

  Deprecated.
  Print a boolean value and terminate the current line.

  Parameters:
    `b` - The value to be printed

### println

    public void println(char c)

  Deprecated.
  Print a character value and terminate the current line.

  Parameters:
    `c` - The value to be printed

### println

    public void println(char[] ca)

  Deprecated.
  Print a character array value and terminate the current line.

  Parameters:
    `ca` - The value to be printed

### println

    public void println(double d)

  Deprecated.
  Print a double value and terminate the current line.

  Parameters:
    `d` - The value to be printed

### println

    public void println(float f)

  Deprecated.
  Print a float value and terminate the current line.

  Parameters:
    `f` - The value to be printed

### println

    public void println(int i)

  Deprecated.
  Print an integer value and terminate the current line.

  Parameters:
    `i` - The value to be printed.

### println

    public void println(long l)

  Deprecated.
  Print a long value and terminate the current line.

  Parameters:
    `l` - The value to be printed

### println

    public void println(java.lang.Object o)

  Deprecated.
  Print an object value and terminate the current line.

  Parameters:
    `o` - The value to be printed

### println

    public void println(java.lang.String s)

  Deprecated.
  Print a String value and terminate the current line.

  Parameters:
    `s` - The value to be printed

### write

    public void write(char c)

  Deprecated.
  Write a single character.

  Parameters:
    `c` - The value to be written

### write

    public void write(char[] ca)

  Deprecated.
  Write an array of characters.

  Parameters:
    `ca` - The value to be written

### write

    public void write(char[] ca,
                      int off,
                      int len)

  Deprecated.
  Write a portion of an array of characters.

  Parameters:
    `ca` - The array from which to write
    `off` - Starting offset
    `len` - Number of characters to write

### write

    public void write(java.lang.String s)

  Deprecated.
  Write a String.

  Parameters:
    `s` - The value to be written

### write

    public void write(java.lang.String s,
                      int off,
                      int len)

  Deprecated.
  Write a portion of a String.

  Parameters:
    `s` - The String from which to write
    `off` - Starting offset
    `len` - Number of characters to write

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.